* Internal registers of 68HC812A4
PORTA	EQU	?REGS
PORTB	EQU	?REGS+1
DDRA	EQU	?REGS+2
DDRB	EQU	?REGS+3
PORTC	EQU	?REGS+4
PORTD	EQU	?REGS+5
DDRC	EQU	?REGS+6
DDRD	EQU	?REGS+7
PORTE	EQU	?REGS+8
DDRE	EQU	?REGS+9
PEAR	EQU	?REGS+$A
MODE	EQU	?REGS+$B
PUCR	EQU	?REGS+$C
RDRIV	EQU	?REGS+$D
INITRM	EQU	?REGS+$10
INITRG	EQU	?REGS+$11
INITEE	EQU	?REGS+$12
MISC	EQU	?REGS+$13
RTICTL	EQU	?REGS+$14
RTIFLG	EQU	?REGS+$15
COPCTL	EQU	?REGS+$16
COPRST	EQU	?REGS+$17
ITST0	EQU	?REGS+$18
ITST1	EQU	?REGS+$19
ITST2	EQU	?REGS+$1A
ITST3	EQU	?REGS+$1B
INTCR	EQU	?REGS+$1E
HPRIO	EQU	?REGS+$1F
KWIED	EQU	?REGS+$20
KWIFD	EQU	?REGS+$21
PORTH	EQU	?REGS+$24
DDRH	EQU	?REGS+$25
KWIEH	EQU	?REGS+$26
KWIFH	EQU	?REGS+$27
PORTJ	EQU	?REGS+$28
DDRJ	EQU	?REGS+$29
KWIEJ	EQU	?REGS+$2A
KWIFJ	EQU	?REGS+$2B
KPOLJ	EQU	?REGS+$2C
PUPSJ	EQU	?REGS+$2D
PULEJ	EQU	?REGS+$2E
PORTF	EQU	?REGS+$30
PORTG	EQU	?REGS+$31
DDRF	EQU	?REGS+$32
DDRG	EQU	?REGS+$33
DPAGE	EQU	?REGS+$34
PPAGE	EQU	?REGS+$35
EPAGE	EQU	?REGS+$36
WINDEF	EQU	?REGS+$37
MXAR	EQU	?REGS+$38
CSCTL0	EQU	?REGS+$3C
CSCTL1	EQU	?REGS+$3D
CSSTR0	EQU	?REGS+$3E
CSSTR1	EQU	?REGS+$3F
LDV	EQU	?REGS+$40	16 bit
RDV	EQU	?REGS+$42	16 bit
CLKCTL	EQU	?REGS+$47
ATDCTL0	EQU	?REGS+$60
ATDCTL1	EQU	?REGS+$61
ATDCTL2	EQU	?REGS+$62
ATDCTL3	EQU	?REGS+$63
ATDCTL4	EQU	?REGS+$64
ATDCTL5	EQU	?REGS+$65
ATDSTAT	EQU	?REGS+$66	16 bit
ATDTEST	EQU	?REGS+$68	16 bit
PORTAD	EQU	?REGS+$6F
ADR0H	EQU	?REGS+$70
ADR1H	EQU	?REGS+$72
ADR2H	EQU	?REGS+$74
ADR3H	EQU	?REGS+$76
ADR4H	EQU	?REGS+$78
ADR5H	EQU	?REGS+$7A
ADR6H	EQU	?REGS+$7C
ARD7H	EQU	?REGS+$7E
TIOS	EQU	?REGS+$80
CFORC	EQU	?REGS+$81
OC7M	EQU	?REGS+$82
OC7D	EQU	?REGS+$83
TCNT	EQU	?REGS+$84	16 bit
TSCR	EQU	?REGS+$86
TQCR	EQU	?REGS+$87
TCTL1	EQU	?REGS+$88
TCTL2	EQU	?REGS+$89
TCTL3	EQU	?REGS+$8A
TCTL4	EQU	?REGS+$8B
TMSK1	EQU	?REGS+$8C
TMSK2	EQU	?REGS+$8D
TFLG1	EQU	?REGS+$8E
TFLG2	EQU	?REGS+$8F
TC0	EQU	?REGS+$90	16 bit
TC1	EQU	?REGS+$92	16 bit
TC2	EQU	?REGS+$94	16 bit
TC3	EQU	?REGS+$96	16 bit
TC4	EQU	?REGS+$98	16 bit
TC5	EQU	?REGS+$9A	16 bit
TC6	EQU	?REGS+$9C	16 bit
TC7	EQU	?REGS+$9E	16 bit
PACTL	EQU	?REGS+$A0
PAFLG	EQU	?REGS+$A1
PACNT	EQU	?REGS+$A2	16 bit
TIMTST	EQU	?REGS+$AD
PORTT	EQU	?REGS+$AE
DDRT	EQU	?REGS+$AF
SC0BDH	EQU	?REGS+$C0
SC0BDL	EQU	?REGS+$C1
SC0CR1	EQU	?REGS+$C2
SC0CR2	EQU	?REGS+$C3
SC0SR1	EQU	?REGS+$C4
SC0SR2	EQU	?REGS+$C5
SC0DRH	EQU	?REGS+$C6
SC0DRL	EQU	?REGS+$C7
SC1BDH	EQU	?REGS+$C8
SC1BDL	EQU	?REGS+$C9
SC1CR1	EQU	?REGS+$CA
SC1CR2	EQU	?REGS+$CB
SC1SR1	EQU	?REGS+$CC
SC1SR2	EQU	?REGS+$CD
SC1DRH	EQU	?REGS+$CE
SC1DRL	EQU	?REGS+$CF
SP0CR1	EQU	?REGS+$D0
SP0CR2	EQU	?REGS+$D1
SP0BR	EQU	?REGS+$D2
SP0SR	EQU	?REGS+$D3
SP0DR	EQU	?REGS+$D5
PORTS	EQU	?REGS+$D6
DDRS	EQU	?REGS+$D7
EEMCR	EQU	?REGS+$F0
EEPROT	EQU	?REGS+$F1
EETST	EQU	?REGS+$F2
EEPROG	EQU	?REGS+$F3
