*
* Get a decimal number from a string: atoi(string)
*
atoi	LDX	2,SP		Get string
* Skip any leading whitespace
?1	LDAA	1,X+		Get char
	CMPA	#' '		Space?
	BEQ	?1		Skip spaces
	CMPA	#9		Tab?
	BEQ	?1		Skip tabs
* Handle leading '-'
	LDY	#0		Begin with zero
	CMPA	#'-'		Minus?
	PSHC			Save for later
	BEQ	?2		Don't restore
	DEX			Backup
* U=X, X=Y
* Collect the digits & generate value
?2	LDAA	1,X+		Get char
	SUBA	#'0'		Convert
	CMPA	#9		In range?
	BHI	?3		No, its the end
	PSHA			Save
	LDD	#10		Value *= 10
	JSR	?mul		Do multiply
	TFR	D,Y		Y = result
	PULB			Get new digit
	ABY			Value += digit
	BRA	?2		And proceed
* If '-' was used. convert to negative
?3	TFR	Y,D		Get value
	PULC			Restore CC
	BNE	?4		No activity
	COMA			Convert
	COMB			To negative
	ADDD	#1		Value of result
?4	RTS
